> For the complete documentation index, see [llms.txt](https://docs.bindplane.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bindplane.com/configuration/bindplane/terraform.md).

# Terraform

[Terraform](https://www.terraform.io/) can be used to manage Bindplane resources. Free, Enterprise, and Cloud editions are supported.

Terraform enables managing Bindplane resources with configuration as code. In addition to Bindplane's robust resource versioning, Terraform configuration can be saved to source control for additional versioning and change management.

### Documentation

The Terraform Provider documentation can be found on [Hashicorp's documentation site](https://registry.terraform.io/providers/observIQ/bindplane/latest/docs)

### Example Usage

* [Provider configuration](https://github.com/observIQ/terraform-provider-bindplane/blob/main/example/provider.tf)
* [Destination example](https://github.com/observIQ/terraform-provider-bindplane/blob/main/example/destination_grafana.tf)
* [Processor example](https://github.com/observIQ/terraform-provider-bindplane/blob/main/example/processor_add_fields.tf)
* [Source example](https://github.com/observIQ/terraform-provider-bindplane/blob/main/example/source_host.tf)
* [Configuration example](https://github.com/observIQ/terraform-provider-bindplane/blob/main/example/configuration_simple.tf)

### External Links

* [Bindplane Provider](https://registry.terraform.io/providers/observIQ/bindplane/latest)
* [Bindplane Provider Releases](https://github.com/observIQ/terraform-provider-bindplane/releases)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bindplane.com/configuration/bindplane/terraform.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
